package com.xjrsoft.module.attendance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.attendance.dto.TeacherDetailsDto;
import com.xjrsoft.module.attendance.entity.TeacherAttendanceRecord;
import com.xjrsoft.module.attendance.vo.TeacherStatisticsPageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 教师考勤记录
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/

public interface ITeacherAttendanceRecordService extends MPJBaseService<TeacherAttendanceRecord> {

    Page<TeacherStatisticsPageVo> getPage(Page<TeacherStatisticsPageVo> page, TeacherDetailsDto dto);

    List<TeacherStatisticsPageVo> getList(TeacherDetailsDto dto);
}
