package com.xjrsoft.module.attendance.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.attendance.dto.AttendanceStatisticsPageDto;
import com.xjrsoft.module.attendance.dto.AttendanceStatisticsRecordDto;
import com.xjrsoft.module.attendance.entity.AttendanceStatistics;
import com.xjrsoft.module.attendance.vo.AttendanceStatisticsPageVo;
import com.xjrsoft.module.attendance.vo.AttendanceStatisticsRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 考勤统计
* @Author dzx
* @Date: 2024-10-19
* @Version 1.0
*/
@Mapper
public interface AttendanceStatisticsMapper extends MPJBaseMapper<AttendanceStatistics> {

    Page<AttendanceStatisticsPageVo> getPage(Page<AttendanceStatisticsPageVo> page, AttendanceStatisticsPageDto dto);

    List<AttendanceStatisticsRecordVo> getRecordList(@Param("dto") AttendanceStatisticsRecordDto dto);
}
