package com.xjrsoft.module.attendance.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.attendance.dto.TeacherDetailsDto;
import com.xjrsoft.module.attendance.entity.TeacherAttendanceRecord;
import com.xjrsoft.module.attendance.mapper.TeacherAttendanceRecordMapper;
import com.xjrsoft.module.attendance.service.ITeacherAttendanceRecordService;
import com.xjrsoft.module.attendance.vo.TeacherStatisticsPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @title: 教师考勤记录
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class TeacherAttendanceRecordServiceImpl extends MPJBaseServiceImpl<TeacherAttendanceRecordMapper, TeacherAttendanceRecord> implements ITeacherAttendanceRecordService {
    @Override
    public Page<TeacherStatisticsPageVo> getPage(Page<TeacherStatisticsPageVo> page, TeacherDetailsDto dto) {
        return this.baseMapper.getPage(page, dto);
    }

    @Override
    public List<TeacherStatisticsPageVo> getList(TeacherDetailsDto dto) {
        return this.baseMapper.getList(dto);
    }
}
